<div class="main-content-user">
    <div class="row">
        <div class="col col-sm-7">
        </div>
        <div class=" col-sm-5">
            <div class=" searchDiv mt-2">
                <form [formGroup]="searchProjectForm" (ngSubmit)="getProjectListing()">
                    <input type="text" class="searchInput" placeholder="Search by Project Name"
                        formControlName="searchText">
                    <button type="submit" class="searchBtnInput btn btn-primary btn-sm">
                        <i class="fa fa-search"></i>
                    </button>
                </form>
            </div>

        </div>
    </div>
    <div class="container-fluid">
        <div class="col col-sm-12 text-right">
            <button class="btn btn-sm btn-success addUserBtn" (click)="setMode('add','')" type="button">
                <i class="fa fa-user-plus"></i>
                Add Project</button>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <p-table [value]="projectList" [style]="{'width':'100%'}"
                        class="table table-sm table-striped tableList listRole" id="tableList">
                        <ng-template pTemplate="header" [style]="{'width':'800px'}">
                            <tr>
                                <th> Project Name</th>
                                <th style="width: 150px;">Consultant</th>
                                <th> Marketer</th>
                                <th> Domain</th>
                                <th> Tech Stack</th>
                                <th> Timezone</th>
                                <th> Start Date</th>
                                <th>Actions</th>
                            </tr>
                        </ng-template>
                        <ng-template pTemplate="body" let-project>
                            <tr *ngIf="project ">
                                <td>{{project.name }}</td>
                                <td>{{project.consultant }}</td>
                                <td>{{project.marketer}}
                                </td>
                                <td>{{project.domain }}</td>
                                <td>{{project.technology }}</td>
                                <td>{{project.timezone }}</td>
                                <td>{{project.startdate | date : 'MM/dd/yyyy' }}</td>

                                <td>
                                    <!-- <a pTooltip="Edit" tooltipPosition="top" (click)="setMode('Edit',project._id)">
                                        <i class="fa fa-pencil-square-o" aria-hidden="true"></i>
                                    </a> -->
                            &nbsp;
                                    <a pTooltip="Delete Project" tooltipPosition="top" *ngIf="project.deleted == false"
                                        (click)="deleteProject(project)">
                                        <i class="fa fa-trash trsFont" aria-hidden="true"></i>
                                    </a>
                                </td>

                            </tr>
                        </ng-template>
                        <ng-template pTemplate="emptymessage">
                            <tr>
                                <td [attr.colspan]="7">
                                    No records found
                                </td>
                            </tr>
                        </ng-template>
                    </p-table>
                    <div *ngIf="projectTotalCount > projectcount">
                        <p-paginator alwaysShow='false' pageLinkSize="{{projectCountLink}}" rows="{{projectcount}}"
                            totalRecords="{{projectTotalCount}}" (onPageChange)="paginates($event)"></p-paginator>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>

<div id="subplan">
        <p-dialog header={{setHeadMode}} [(visible)]="displayModal" [modal]="true" [responsive]="true"  
            (onHide)="closeDialog()" [style]="{width: '500px', minWidth: '600px'}" [contentStyle]="{minHeight: '450px'}"  [minY]="70" [maximizable]="true"
            [baseZIndex]="10000">
            <ngx-spinner></ngx-spinner>
            <form [formGroup]="projectFormGroup">
                <div class="row">
                    <div class="col-md-6 form-group">
                        <input type="text" formControlName="name" placeholder="Project Name">
                        <div
                            *ngIf="projectFormGroup.controls['name'].dirty && projectFormGroup.controls['name'].invalid">
                            <p class="form_error"
                                *ngIf="projectFormGroup.controls['name'].dirty && projectFormGroup.controls['name'].hasError('required')">
                                Please
                                enter Project name.</p>
                            <p class="form_error"
                                *ngIf="projectFormGroup.controls['name'].dirty && projectFormGroup.controls['name'].hasError('maxlength')">
                                Project name must contain only 10 characters</p>
                            <p class="form_error"
                                *ngIf="projectFormGroup.controls['name'].dirty && projectFormGroup.controls['name'].hasError('minlength')">
                                Project Name must contain atleast 4 characters</p>
                        </div>
                    </div>
                    <div class="col-md-6 form-group">
                        <input type="text" formControlName="consultant" placeholder="Consultant Name">
                        <div
                            *ngIf="projectFormGroup.controls['consultant'].dirty && projectFormGroup.controls['consultant'].invalid">
                            <p class="form_error"
                                *ngIf="projectFormGroup.controls['consultant'].dirty && projectFormGroup.controls['consultant'].hasError('required')">
                                Please
                                enter Consultant name.</p>
                            <p class="form_error"
                                *ngIf="projectFormGroup.controls['consultant'].dirty && projectFormGroup.controls['consultant'].hasError('maxlength')">
                                Consultant name must contain only 10 characters</p>
                            <p class="form_error"
                                *ngIf="projectFormGroup.controls['consultant'].dirty && projectFormGroup.controls['consultant'].hasError('minlength')">
                                Consultant Name must contain atleast 4 characters</p>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6 form-group">
                        <input type="text" formControlName="marketer" placeholder="Marketer Name">
                        <div
                            *ngIf="projectFormGroup.controls['marketer'].dirty && projectFormGroup.controls['marketer'].invalid">
                            <p class="form_error"
                                *ngIf="projectFormGroup.controls['marketer'].dirty && projectFormGroup.controls['marketer'].hasError('required')">
                                Please
                                enter Marketer name.</p>
                            <p class="form_error"
                                *ngIf="projectFormGroup.controls['marketer'].dirty && projectFormGroup.controls['marketer'].hasError('maxlength')">
                                Marketer name must contain only 10 characters</p>
                            <p class="form_error"
                                *ngIf="projectFormGroup.controls['marketer'].dirty && projectFormGroup.controls['marketer'].hasError('minlength')">
                                Marketer Name must contain atleast 4 characters</p>
                        </div>
                    </div>
                    <div class="col-md-6 form-group">
                        <input type="text" formControlName="domain" placeholder="Domain">
                        <div
                            *ngIf="projectFormGroup.controls['domain'].dirty && projectFormGroup.controls['domain'].invalid">
                            <p class="form_error"
                                *ngIf="projectFormGroup.controls['domain'].dirty && projectFormGroup.controls['domain'].hasError('required')">
                                Please
                                enter Domain name.</p>
                            <p class="form_error"
                                *ngIf="projectFormGroup.controls['domain'].dirty && projectFormGroup.controls['domain'].hasError('maxlength')">
                                Domain name must contain only 10 characters</p>
                            <p class="form_error"
                                *ngIf="projectFormGroup.controls['domain'].dirty && projectFormGroup.controls['domain'].hasError('minlength')">
                                Domain Name must contain atleast 4 characters</p>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6 form-group">
                        <input type="text" formControlName="technology" placeholder="Technology">
                        <div
                            *ngIf="projectFormGroup.controls['technology'].dirty && projectFormGroup.controls['technology'].invalid">
                            <p class="form_error"
                                *ngIf="projectFormGroup.controls['technology'].dirty && projectFormGroup.controls['technology'].hasError('required')">
                                Please
                                enter Technology.</p>
                            <p class="form_error"
                                *ngIf="projectFormGroup.controls['technology'].dirty && projectFormGroup.controls['technology'].hasError('maxlength')">
                                Technology must contain only 10 characters</p>
                            <p class="form_error"
                                *ngIf="projectFormGroup.controls['technology'].dirty && projectFormGroup.controls['technology'].hasError('minlength')">
                                Technology must contain atleast 4 characters</p>
                        </div>
                    </div>
                    <div class="col-md-6 form-group">
                        <input type="text" formControlName="timezone" placeholder="Timezone">
                        <div
                            *ngIf="projectFormGroup.controls['timezone'].dirty && projectFormGroup.controls['timezone'].invalid">
                            <p class="form_error"
                                *ngIf="projectFormGroup.controls['timezone'].dirty && projectFormGroup.controls['timezone'].hasError('required')">
                                Please
                                enter Timezone.</p>
                            <p class="form_error"
                                *ngIf="projectFormGroup.controls['timezone'].dirty && projectFormGroup.controls['timezone'].hasError('maxlength')">
                                Timezone must contain only 10 characters</p>
                            <p class="form_error"
                                *ngIf="projectFormGroup.controls['timezone'].dirty && projectFormGroup.controls['timezone'].hasError('minlength')">
                                Timezone must contain atleast 4 characters</p>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12 form-group" id="CalendarSec">
                        <label class="required"> Start Date:</label>
                        <p-calendar [(ngModel)]="startDate"  style="padding-left:10px;"  formControlName="startDate"
                            dateFormat="mm-dd-yy" [showIcon]="true" [style]="{'width':'10px'}"
                            (onSelect)='selectStartDate()' (onFocus)="restrictStartDate()" [minDate]="minimumStartDate"
                            [disabledDates]="invalidDates"></p-calendar>
                        <div
                            *ngIf="projectFormGroup.controls['startDate'].dirty && projectFormGroup.controls['startDate'].invalid">
                            <p class="form_error"
                                *ngIf="projectFormGroup.controls['startDate'].dirty && projectFormGroup.controls['startDate'].hasError('required')">
                                Please select start date.</p>
                        </div>
                    </div>
                </div>
            </form>
            <p-footer>
                <button type="button" (click)="createProject()" [disabled]="!projectFormGroup.valid"
                    class="btn btn-primary">{{btnMode}}</button>
                <button type="button" (click)="displayModal=false" class="btn btn-default">Close</button>
            </p-footer>
        </p-dialog>
        <p-confirmDialog></p-confirmDialog>
</div>